# Get report

Gets a report based on the specified ID

Endpoint: GET /reports/{reportId}
Version: 2.0.0
Security: APIToken, OAuth2

## Header parameters:

  - `Authorization` (string)
    API Access Token used to authenticate requests to Smartsheet APIs.

  - `smartsheet-integration-source` (string)
    Uses the following metadata to distinguish between human-initiated API requests and third-party service-initiated calls by AI Connectors or ITSM:

- Integration source type
- Organization name
- Integration source name 

Format:


TYPE,OrgName,SourceName


Examples: 

AI,SampleOrg,My-AI-Connector-v2

SCRIPT,SampleOrg2,Accounting-updater-script

APPLICATION,SampleOrg3,SheetUpdater
    Example: "AI,SampleOrg,My-AI-Connector-v2"

  - `Accept` (string)
    The Accept request-header field can be used to specify certain media types which are acceptable for the response.

## Query parameters:

  - `accessApiLevel` (number)
    Allows COMMENTER access for inputs and return values. For backwards-compatibility, VIEWER is the default. For example, to see whether a user has COMMENTER access for a sheet, use accessApiLevel=1.

  - `include` (string)
    A comma-separated list of optional elements to include in the response:
  * attachments
  * discussions
  * proofs
  * format
  * objectValue - when used in combination with a level query parameter, includes the email addresses for multi-contact data
  * scope - adds the report's scope to the response
  * source - adds the Source object indicating which report the report was created from, if any
  * sourceSheets
    Enum: "attachments", "discussions", "proofs", "format", "objectValue", "scope", "source", "sourceSheets"

  - `exclude` (string)
    A comma-separated list of optional elements to not include in the response
    Enum: "linkInFromCellDetails", "linksOutToCellsDetails"

  - `pageSize` (number)
    The maximum number of items to return per page. Unless otherwise stated for a specific endpoint, defaults to 100. If only page is specified, defaults to a page size of 100. For reports, the default is 100 rows. If you need larger sets of data from your report, returns a maximum of 10,000 rows per request.

  - `page` (number)
    Which page to return. Defaults to 1 if not specified. If you specify a value greater than the total number of pages, the last page of results is returned.

  - `level` (integer)
    specifies whether new functionality, such as multi-contact data is returned in a backwards-compatible, text format (level=0, default), multi-contact data (level=1), or multi-picklist data (level=3).

## Path parameters:

  - `reportId` (number, required)
    ID of the report being accessed.

## Response 200 fields (application/json):

  - `scope` (object)

  - `scope.sheets` (array)
    Array of Sheet objects (containing just the sheet ID) of any sheets that the requester has access to that make up the report.

  - `scope.sheets.id` (number)
    Sheet ID.

  - `scope.sheets.fromId` (number)
    The ID of the template from which to create the sheet. This attribute can be specified in a request, but is never present in a response.

  - `scope.sheets.ownerId` (number)
    User ID of the sheet owner.

  - `scope.sheets.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.sheets.attachments` (array)
    Array of Attachment objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains attachments.

  - `scope.sheets.attachments.id` (number)
    Attachment ID.

  - `scope.sheets.attachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.attachments.createdAt` (any)

  - `scope.sheets.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.attachments.name` (string)
    Attachment name.

  - `scope.sheets.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.attachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.cellImageUploadEnabled` (boolean)
    The sheet is enabled for cell images to be uploaded.

  - `scope.sheets.columns` (array)

  - `scope.sheets.createdAt` (any)

  - `scope.sheets.crossSheetReferences` (array)
    Array of CrossSheetReference objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains crossSheetReferences.

  - `scope.sheets.crossSheetReferences.endColumnId` (number)
    Defines ending edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `scope.sheets.crossSheetReferences.endRowId` (number)
    Defines ending edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `scope.sheets.crossSheetReferences.id` (number)
    Cross-sheet reference ID, guaranteed unique within referencing sheet.

  - `scope.sheets.crossSheetReferences.name` (string)
    Friendly name of reference. Auto-generated unless specified in Create Cross-sheet References.

  - `scope.sheets.crossSheetReferences.startColumnId` (number)
    Defines beginning edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `scope.sheets.crossSheetReferences.startRowId` (number)
    Defines beginning edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `scope.sheets.crossSheetReferences.status` (string)
    Status of request:
 * 'BLOCKED' - A reference is downstream of a circular issue.
 * 'BROKEN' - The data source location (column, row or sheet) was deleted.
 * 'CIRCULAR' - The formula reference is self referencing and cannot be resolved.
 * 'DISABLED' - Updating the reference is temporarily disabled due to maintenance.
 * 'INVALID/UNKNOWN' - The reference is new and had not been validated.
 * 'NOT_SHARED' - No common shared users.
 * 'OK' - The reference is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INVALID/UNKNOWN", "NOT-SHARED", "OK"

  - `scope.sheets.crossSheetReferences.sourceSheetId` (number)
    Sheet ID of source sheet.

  - `scope.sheets.dependenciesEnabled` (boolean)
    Indicates whether dependencies are enabled.

  - `scope.sheets.discussions` (array)
    Array of Discussion objects
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains discussions.

  - `scope.sheets.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.sheets.discussions.id` (number)
    Discussion ID.

  - `scope.sheets.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `scope.sheets.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `scope.sheets.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `scope.sheets.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.discussions.comments.attachments.createdAt` (any)

  - `scope.sheets.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.discussions.comments.attachments.name` (string)
    Attachment name.

  - `scope.sheets.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.discussions.comments.createdAt` (any)

  - `scope.sheets.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `scope.sheets.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `scope.sheets.discussions.comments.id` (number)
    Comment ID.

  - `scope.sheets.discussions.comments.modifiedAt` (any)

  - `scope.sheets.discussions.comments.text` (string)
    Comment body.

  - `scope.sheets.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `scope.sheets.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `scope.sheets.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.discussions.commentAttachments.createdAt` (any)

  - `scope.sheets.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.discussions.commentAttachments.name` (string)
    Attachment name.

  - `scope.sheets.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `scope.sheets.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `scope.sheets.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.discussions.lastCommentedAt` (any)

  - `scope.sheets.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `scope.sheets.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `scope.sheets.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `scope.sheets.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `scope.sheets.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `scope.sheets.effectiveAttachmentOptions` (array)
    Array of enum strings (see [Attachment.attachmentType](/api/smartsheet/openapi/attachments) indicating the allowable attachment options for the current user and sheet.

  - `scope.sheets.ganttEnabled` (boolean)
    Indicates whether "Gantt View" is enabled.

  - `scope.sheets.hasSummaryFields` (boolean)
    Indicates whether a sheet summary is present.

  - `scope.sheets.isMultiPicklistEnabled` (boolean)
    Indicates whether multi-select is enabled.

  - `scope.sheets.modifiedAt` (any)

  - `scope.sheets.name` (string)
    Sheet name.

  - `scope.sheets.owner` (string)
    Email address of the sheet owner.

  - `scope.sheets.permalink` (string)
    URL that represents a direct link to the sheet in Smartsheet.

  - `scope.sheets.projectSettings` (object)
    Represents the project settings dependencies for a specific sheet. Project settings may be updated on sheets that the user has editor access.

  - `scope.sheets.projectSettings.lengthOfDay` (number)
    Length of a workday for a project sheet.

  - `scope.sheets.projectSettings.nonWorkingDays` (array)
    Non-working days for a project sheet.

  - `scope.sheets.projectSettings.workingDays` (array)
    Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"

  - `scope.sheets.readOnly` (boolean)
    Returned only if the sheet belongs to an expired trial (value = true).

  - `scope.sheets.resourceManagementEnabled` (boolean)
    Indicates that resource management is enabled.

  - `scope.sheets.resourceManagementType` (string)
    Resource Management type. Indicates the type of RM that is enabled.
    Enum: "NONE", "LEGACY_RESOURCE_MANAGEMENT", "RESOURCE_MANAGEMENT_BY_SMARTSHEET"

  - `scope.sheets.rows` (array)

  - `scope.sheets.rows.id` (number)
    Row ID.

  - `scope.sheets.rows.sheetId` (number)
    Parent sheet ID.

  - `scope.sheets.rows.siblingId` (number)
    Sibling ID.

  - `scope.sheets.rows.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.sheets.rows.attachments` (array)
    Attachments on row. Only returned if the include query string parameter contains attachments.

  - `scope.sheets.rows.attachments.id` (number)
    Attachment ID.

  - `scope.sheets.rows.attachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.rows.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.rows.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.rows.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.rows.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.rows.attachments.createdAt` (any)

  - `scope.sheets.rows.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.rows.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.attachments.name` (string)
    Attachment name.

  - `scope.sheets.rows.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.rows.attachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.rows.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.rows.cells` (array)
    Cells belonging to the row.

  - `scope.sheets.rows.cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `scope.sheets.rows.cells.rowId` (number)
    The ID of the row the cell is located in.

  - `scope.sheets.rows.cells.columnType` (string)
    Only returned if the include query string parameter contains columnType.

  - `scope.sheets.rows.cells.conditionalFormat` (string)
    The format descriptor describing this cell's conditional format. Only returned if the include query string parameter contains format and this cell has a conditional format applied.

  - `scope.sheets.rows.cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `scope.sheets.rows.cells.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this cell has a non-default format applied.

  - `scope.sheets.rows.cells.formula` (string)
    The formula for a cell, if set, for instance =COUNTM([Assigned To]3). Note that calculation errors or problems with a formula do not cause the API call to return an error code. Instead, the response contains the same value as in the UI, such as cell.value = "#CIRCULAR REFERENCE".

  - `scope.sheets.rows.cells.hyperlink` (object)

  - `scope.sheets.rows.cells.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `scope.sheets.rows.cells.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `scope.sheets.rows.cells.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `scope.sheets.rows.cells.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `scope.sheets.rows.cells.image` (object)

  - `scope.sheets.rows.cells.image.altText` (string)
    Alternate text for the image.

  - `scope.sheets.rows.cells.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `scope.sheets.rows.cells.image.id` (string)
    Image ID.

  - `scope.sheets.rows.cells.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `scope.sheets.rows.cells.linkInFromCell` (object)

  - `scope.sheets.rows.cells.linkInFromCell.columnId` (number)
    Column ID of the linked cell.

  - `scope.sheets.rows.cells.linkInFromCell.rowId` (number)
    Row ID of the linked cell.

  - `scope.sheets.rows.cells.linkInFromCell.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `scope.sheets.rows.cells.linkInFromCell.sheetName` (string)
    Sheet name of the linked cell.

  - `scope.sheets.rows.cells.linkInFromCell.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `scope.sheets.rows.cells.linksOutToCells` (array)

  - `scope.sheets.rows.cells.linksOutToCells.columnId` (number)
    Column ID of the linked cell.

  - `scope.sheets.rows.cells.linksOutToCells.rowId` (number)
    Row ID of the linked cell.

  - `scope.sheets.rows.cells.linksOutToCells.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `scope.sheets.rows.cells.linksOutToCells.sheetName` (string)
    Sheet name of the linked cell.

  - `scope.sheets.rows.cells.linksOutToCells.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `scope.sheets.rows.cells.objectValue` (any)

  - `scope.sheets.rows.cells.overrideValidation` (boolean)
    (Admin only) Indicates whether the cell value can contain a value outside of the validation limits (value = true). When using this parameter, you must also set strict to false to bypass value type checking. This property is honored for POST or PUT actions that update rows.

  - `scope.sheets.rows.cells.strict` (boolean)
    Set to false to enable lenient parsing. Defaults to true. You can specify this attribute in a request, but it is never present in a response.

  - `scope.sheets.rows.cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `scope.sheets.rows.columns` (array)
    Columns of row. Only returned if the include query string parameter contains columns.

  - `scope.sheets.rows.conditionalFormat` (string)
    Describes this row's conditional format. Only returned if the include query string parameter contains format and this row has a conditional format applied.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `scope.sheets.rows.createdAt` (any)

  - `scope.sheets.rows.createdBy` (object)
    User object containing name and email of the creator of this row.

  - `scope.sheets.rows.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.discussions` (array)
    Discussions on the row. Only returned if the include query string parameter contains discussions.

  - `scope.sheets.rows.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.sheets.rows.discussions.id` (number)
    Discussion ID.

  - `scope.sheets.rows.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `scope.sheets.rows.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `scope.sheets.rows.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `scope.sheets.rows.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.rows.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.rows.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.rows.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.rows.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.rows.discussions.comments.attachments.createdAt` (any)

  - `scope.sheets.rows.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.rows.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.discussions.comments.attachments.name` (string)
    Attachment name.

  - `scope.sheets.rows.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.rows.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.rows.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.rows.discussions.comments.createdAt` (any)

  - `scope.sheets.rows.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `scope.sheets.rows.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `scope.sheets.rows.discussions.comments.id` (number)
    Comment ID.

  - `scope.sheets.rows.discussions.comments.modifiedAt` (any)

  - `scope.sheets.rows.discussions.comments.text` (string)
    Comment body.

  - `scope.sheets.rows.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `scope.sheets.rows.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `scope.sheets.rows.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.rows.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.rows.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.rows.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.rows.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.rows.discussions.commentAttachments.createdAt` (any)

  - `scope.sheets.rows.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.rows.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.discussions.commentAttachments.name` (string)
    Attachment name.

  - `scope.sheets.rows.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.rows.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.rows.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.rows.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `scope.sheets.rows.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `scope.sheets.rows.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.discussions.lastCommentedAt` (any)

  - `scope.sheets.rows.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `scope.sheets.rows.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `scope.sheets.rows.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `scope.sheets.rows.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `scope.sheets.rows.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `scope.sheets.rows.proof` (object)
    Object containing zero or more media items, including images, videos, and documents, for review, editing, or approval.

  - `scope.sheets.rows.proof.id` (number)
    Proof ID of the proof version.

  - `scope.sheets.rows.proof.originalId` (number)
    Proof ID of the original proof version.

  - `scope.sheets.rows.proof.name` (string)
    Proof name. This is the same as primary column value. If the primary column value is empty, name is empty.

  - `scope.sheets.rows.proof.type` (string)
    File type for the proof version.
    Enum: "DOCUMENT", "IMAGE", "MIXED", "NONE", "VIDEO"

  - `scope.sheets.rows.proof.documentType` (string)
    If type=DOCUMENT, then this indicates the type of file, such as PDF.

  - `scope.sheets.rows.proof.proofRequestUrl` (string)
    URL to review a proofing request.

  - `scope.sheets.rows.proof.version` (number)
    The version number of the proof.

  - `scope.sheets.rows.proof.lastUpdatedAt` (any)

  - `scope.sheets.rows.proof.lastUpdatedBy` (object)
    User object containing name and email of the user who last updated the proof.

  - `scope.sheets.rows.proof.lastUpdatedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.lastUpdatedBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.isCompleted` (boolean)
    Indicates whether the proof is completed.

  - `scope.sheets.rows.proof.attachments` (array)
    Array of Attachment objects. Only returned if the include query string parameter contains attachments.

  - `scope.sheets.rows.proof.attachments.id` (number)
    Attachment ID.

  - `scope.sheets.rows.proof.attachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.rows.proof.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.rows.proof.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.rows.proof.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.rows.proof.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.rows.proof.attachments.createdAt` (any)

  - `scope.sheets.rows.proof.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.rows.proof.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.attachments.name` (string)
    Attachment name.

  - `scope.sheets.rows.proof.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.rows.proof.attachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.rows.proof.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.rows.proof.discussions` (array)
    Array of Discussion objects. Only returned if the include query string parameter contains discussions.

  - `scope.sheets.rows.proof.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.sheets.rows.proof.discussions.id` (number)
    Discussion ID.

  - `scope.sheets.rows.proof.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `scope.sheets.rows.proof.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `scope.sheets.rows.proof.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `scope.sheets.rows.proof.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.rows.proof.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.rows.proof.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.rows.proof.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.rows.proof.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.rows.proof.discussions.comments.attachments.createdAt` (any)

  - `scope.sheets.rows.proof.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.rows.proof.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.discussions.comments.attachments.name` (string)
    Attachment name.

  - `scope.sheets.rows.proof.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.rows.proof.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.rows.proof.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.rows.proof.discussions.comments.createdAt` (any)

  - `scope.sheets.rows.proof.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `scope.sheets.rows.proof.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `scope.sheets.rows.proof.discussions.comments.id` (number)
    Comment ID.

  - `scope.sheets.rows.proof.discussions.comments.modifiedAt` (any)

  - `scope.sheets.rows.proof.discussions.comments.text` (string)
    Comment body.

  - `scope.sheets.rows.proof.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `scope.sheets.rows.proof.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `scope.sheets.rows.proof.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `scope.sheets.rows.proof.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `scope.sheets.rows.proof.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `scope.sheets.rows.proof.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `scope.sheets.rows.proof.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `scope.sheets.rows.proof.discussions.commentAttachments.createdAt` (any)

  - `scope.sheets.rows.proof.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `scope.sheets.rows.proof.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.discussions.commentAttachments.name` (string)
    Attachment name.

  - `scope.sheets.rows.proof.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `scope.sheets.rows.proof.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `scope.sheets.rows.proof.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `scope.sheets.rows.proof.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `scope.sheets.rows.proof.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `scope.sheets.rows.proof.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.discussions.lastCommentedAt` (any)

  - `scope.sheets.rows.proof.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `scope.sheets.rows.proof.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.proof.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.proof.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `scope.sheets.rows.proof.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `scope.sheets.rows.proof.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `scope.sheets.rows.proof.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `scope.sheets.rows.expanded` (boolean)
    Indicates whether the row is expanded or collapsed.

  - `scope.sheets.rows.filteredOut` (boolean)
    Indicates if the row is filtered out by a column filter. Only returned if the include query string parameter contains filters.

  - `scope.sheets.rows.format` (string)
    Format descriptor. Only returned if the include query string parameter contains format and this row has a non-default format applied.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `scope.sheets.rows.inCriticalPath` (boolean)
    Only returned, with a value of true, if the sheet is a project sheet with dependencies enabled and this row is in the critical path.

  - `scope.sheets.rows.locked` (boolean)
    Indicates whether the row is locked.

  - `scope.sheets.rows.lockedForUser` (boolean)
    Indicates whether the row is locked for the requesting user.

  - `scope.sheets.rows.modifiedAt` (any)

  - `scope.sheets.rows.modifiedBy` (object)
    User object containing name and email of the last person to modify this row.

  - `scope.sheets.rows.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.rows.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.rows.permaLink` (string)
    URL that represents a direct link to the row in Smartsheet. Only returned if the include query string parameter contains rowPermalink.

  - `scope.sheets.rows.rowNumber` (number)
    Row number within the sheet.

  - `scope.sheets.rows.version` (number)
    Sheet version number that is incremented every time a sheet is modified.

  - `scope.sheets.showParentRowsForFilters` (boolean)
    Returned only if there are column filters on the sheet. Value = true if "show parent rows" is enabled for the filters.

  - `scope.sheets.source` (object)

  - `scope.sheets.source.id` (number)
    The ID of the dashboard, report, sheet, or template from which the enclosing dashboard, report, sheet, or template was created.

  - `scope.sheets.source.type` (string)
    report, sheet, sight (aka dashboard), or template.

  - `scope.sheets.summary` (object)
    Represents the entire summary, or a list of defined fields and values, for a specific sheet.

  - `scope.sheets.summary.fields` (array)
    Array of summary (or metadata) fields defined on the sheet.

  - `scope.sheets.summary.fields.id` (number)
    SummaryField ID.

  - `scope.sheets.summary.fields.contactOptions` (array)
    Array of ContactOption objects to specify a pre-defined list of values for the column. Column type must be CONTACT_LIST.

  - `scope.sheets.summary.fields.contactOptions.email` (string)
    A parsable email address.

  - `scope.sheets.summary.fields.contactOptions.name` (string)
    Can be a user's name, display name, or free text.

  - `scope.sheets.summary.fields.createdAt` (any)

  - `scope.sheets.summary.fields.createdBy` (object)
    User object containing name and email of the creator of this summary field.

  - `scope.sheets.summary.fields.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.summary.fields.createdBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.summary.fields.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `scope.sheets.summary.fields.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this column has a non-default format applied to it.

  - `scope.sheets.summary.fields.formula` (string)
    The formula for a cell, if set.

  - `scope.sheets.summary.fields.hyperlink` (object)

  - `scope.sheets.summary.fields.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `scope.sheets.summary.fields.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `scope.sheets.summary.fields.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `scope.sheets.summary.fields.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `scope.sheets.summary.fields.image` (object)

  - `scope.sheets.summary.fields.image.altText` (string)
    Alternate text for the image.

  - `scope.sheets.summary.fields.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `scope.sheets.summary.fields.image.id` (string)
    Image ID.

  - `scope.sheets.summary.fields.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `scope.sheets.summary.fields.index` (number)
    Field index or position. This number is zero-based.

  - `scope.sheets.summary.fields.locked` (boolean)
    Indicates whether the field is locked.

  - `scope.sheets.summary.fields.lockedForUser` (boolean)
    Indicates whether the field is locked for the requesting user.

  - `scope.sheets.summary.fields.modifiedAt` (any)

  - `scope.sheets.summary.fields.modifiedBy` (object)
    User object containing name and email of the user who most recently modified this summary field.

  - `scope.sheets.summary.fields.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `scope.sheets.summary.fields.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `scope.sheets.summary.fields.objectValue` (any)

  - `scope.sheets.summary.fields.options` (array)
    When applicable for PICKLIST column type. Array of the options available for the field.

  - `scope.sheets.summary.fields.symbol` (string)
    When applicable for PICKLIST column type.

  - `scope.sheets.summary.fields.title` (string)
    Arbitrary name, must be unique within summary.

  - `scope.sheets.summary.fields.type` (string)
    Enum: "ABSTRACT_DATETIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATETIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"

  - `scope.sheets.summary.fields.validation` (boolean)
    Indicates whether summary field values are restricted to the type.

  - `scope.sheets.totalRowCount` (number)
    The total number of rows in the sheet.

  - `scope.sheets.userPermissions` (object)
    Describes the current user's editing permissions for a specific sheet.

  - `scope.sheets.userPermissions.summaryPermissions` (string)
    One of:
  * ADMIN: full control over fields.
  * READ_DELETE: sheet is owned by an individual account that doesn't have summary capabilities. If a summary exists, the only possible operations are GET and DELETE fields.
  * READ_ONLY.
  * READ_WRITE: can edit values of existing fields, but not create or delete fields, nor modify field type.
    Enum: "ADMIN", "READ_DELETE", "READ_ONLY", "READ_WRITE"

  - `scope.sheets.userSettings` (object)
    Represents individual user settings for a specific sheet. User settings may be updated even on sheets where the current user only has read access (for example, viewer permissions or a read-only sheet).

  - `scope.sheets.userSettings.criticalPathEnabled` (boolean)
    Does this user have "Show Critical Path" turned on for this sheet? NOTE: This setting only has an effect on project sheets with dependencies enabled.

  - `scope.sheets.userSettings.displaySummaryTasks` (boolean)
    Does this user have "Display Summary Tasks" turned on for this sheet? Applies only to sheets where "Calendar View" has been configured.

  - `scope.sheets.version` (number)
    A number that is incremented every time a sheet is modified.

  - `scope.sheets.workspace` (object)

  - `scope.sheets.workspace.id` (number)
    Workspace ID.

  - `scope.sheets.workspace.name` (string)
    Workspace name.

  - `scope.sheets.workspace.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.sheets.workspace.permalink` (string)
    URL that represents a direct link to the workspace in Smartsheet.

  - `scope.sheets.favorite` (boolean)
    Deprecated Returned only if the user has marked this sheet as a favorite in their Home tab (value = true).

  - `scope.workspaces` (array)
    Array of Workspace objects (containing just the workspace ID) that the requester has access to that make up the report.

  - `scope.workspaces.id` (number)
    Workspace ID.

  - `scope.workspaces.name` (string)
    Workspace name.

  - `scope.workspaces.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `scope.workspaces.permalink` (string)
    URL that represents a direct link to the workspace in Smartsheet.

  - `sourceSheets` (array)
    An array of Sheet objects (without rows), representing the sheets that rows in the report originated from. Only included in the Get Report response if the include parameter specifies sourceSheets.

  - `sourceSheets.id` (number)
    Sheet ID.

  - `sourceSheets.fromId` (number)
    The ID of the template from which to create the sheet. This attribute can be specified in a request, but is never present in a response.

  - `sourceSheets.ownerId` (number)
    User ID of the sheet owner.

  - `sourceSheets.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `sourceSheets.attachments` (array)
    Array of Attachment objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains attachments.

  - `sourceSheets.attachments.id` (number)
    Attachment ID.

  - `sourceSheets.attachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.attachments.createdAt` (any)

  - `sourceSheets.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.attachments.name` (string)
    Attachment name.

  - `sourceSheets.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.attachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.cellImageUploadEnabled` (boolean)
    The sheet is enabled for cell images to be uploaded.

  - `sourceSheets.columns` (array)

  - `sourceSheets.createdAt` (any)

  - `sourceSheets.crossSheetReferences` (array)
    Array of CrossSheetReference objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains crossSheetReferences.

  - `sourceSheets.crossSheetReferences.endColumnId` (number)
    Defines ending edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `sourceSheets.crossSheetReferences.endRowId` (number)
    Defines ending edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `sourceSheets.crossSheetReferences.id` (number)
    Cross-sheet reference ID, guaranteed unique within referencing sheet.

  - `sourceSheets.crossSheetReferences.name` (string)
    Friendly name of reference. Auto-generated unless specified in Create Cross-sheet References.

  - `sourceSheets.crossSheetReferences.startColumnId` (number)
    Defines beginning edge of range when specifying one or more columns. To specify an entire column, omit the startRowId and endRowId parameters.

  - `sourceSheets.crossSheetReferences.startRowId` (number)
    Defines beginning edge of range when specifying one or more rows. To specify an entire row, omit the startColumnId and endColumnId parameters.

  - `sourceSheets.crossSheetReferences.status` (string)
    Status of request:
 * 'BLOCKED' - A reference is downstream of a circular issue.
 * 'BROKEN' - The data source location (column, row or sheet) was deleted.
 * 'CIRCULAR' - The formula reference is self referencing and cannot be resolved.
 * 'DISABLED' - Updating the reference is temporarily disabled due to maintenance.
 * 'INVALID/UNKNOWN' - The reference is new and had not been validated.
 * 'NOT_SHARED' - No common shared users.
 * 'OK' - The reference is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INVALID/UNKNOWN", "NOT-SHARED", "OK"

  - `sourceSheets.crossSheetReferences.sourceSheetId` (number)
    Sheet ID of source sheet.

  - `sourceSheets.dependenciesEnabled` (boolean)
    Indicates whether dependencies are enabled.

  - `sourceSheets.discussions` (array)
    Array of Discussion objects
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains discussions.

  - `sourceSheets.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `sourceSheets.discussions.id` (number)
    Discussion ID.

  - `sourceSheets.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `sourceSheets.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `sourceSheets.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `sourceSheets.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.discussions.comments.attachments.createdAt` (any)

  - `sourceSheets.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.discussions.comments.attachments.name` (string)
    Attachment name.

  - `sourceSheets.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.discussions.comments.createdAt` (any)

  - `sourceSheets.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `sourceSheets.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `sourceSheets.discussions.comments.id` (number)
    Comment ID.

  - `sourceSheets.discussions.comments.modifiedAt` (any)

  - `sourceSheets.discussions.comments.text` (string)
    Comment body.

  - `sourceSheets.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `sourceSheets.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `sourceSheets.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.discussions.commentAttachments.createdAt` (any)

  - `sourceSheets.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.discussions.commentAttachments.name` (string)
    Attachment name.

  - `sourceSheets.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `sourceSheets.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `sourceSheets.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.discussions.lastCommentedAt` (any)

  - `sourceSheets.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `sourceSheets.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `sourceSheets.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `sourceSheets.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `sourceSheets.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `sourceSheets.effectiveAttachmentOptions` (array)
    Array of enum strings (see [Attachment.attachmentType](/api/smartsheet/openapi/attachments) indicating the allowable attachment options for the current user and sheet.

  - `sourceSheets.ganttEnabled` (boolean)
    Indicates whether "Gantt View" is enabled.

  - `sourceSheets.hasSummaryFields` (boolean)
    Indicates whether a sheet summary is present.

  - `sourceSheets.isMultiPicklistEnabled` (boolean)
    Indicates whether multi-select is enabled.

  - `sourceSheets.modifiedAt` (any)

  - `sourceSheets.name` (string)
    Sheet name.

  - `sourceSheets.owner` (string)
    Email address of the sheet owner.

  - `sourceSheets.permalink` (string)
    URL that represents a direct link to the sheet in Smartsheet.

  - `sourceSheets.projectSettings` (object)
    Represents the project settings dependencies for a specific sheet. Project settings may be updated on sheets that the user has editor access.

  - `sourceSheets.projectSettings.lengthOfDay` (number)
    Length of a workday for a project sheet.

  - `sourceSheets.projectSettings.nonWorkingDays` (array)
    Non-working days for a project sheet.

  - `sourceSheets.projectSettings.workingDays` (array)
    Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"

  - `sourceSheets.readOnly` (boolean)
    Returned only if the sheet belongs to an expired trial (value = true).

  - `sourceSheets.resourceManagementEnabled` (boolean)
    Indicates that resource management is enabled.

  - `sourceSheets.resourceManagementType` (string)
    Resource Management type. Indicates the type of RM that is enabled.
    Enum: "NONE", "LEGACY_RESOURCE_MANAGEMENT", "RESOURCE_MANAGEMENT_BY_SMARTSHEET"

  - `sourceSheets.rows` (array)

  - `sourceSheets.rows.id` (number)
    Row ID.

  - `sourceSheets.rows.sheetId` (number)
    Parent sheet ID.

  - `sourceSheets.rows.siblingId` (number)
    Sibling ID.

  - `sourceSheets.rows.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `sourceSheets.rows.attachments` (array)
    Attachments on row. Only returned if the include query string parameter contains attachments.

  - `sourceSheets.rows.attachments.id` (number)
    Attachment ID.

  - `sourceSheets.rows.attachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.rows.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.rows.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.rows.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.rows.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.rows.attachments.createdAt` (any)

  - `sourceSheets.rows.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.rows.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.attachments.name` (string)
    Attachment name.

  - `sourceSheets.rows.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.rows.attachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.rows.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.rows.cells` (array)
    Cells belonging to the row.

  - `sourceSheets.rows.cells.columnId` (number)
    The ID of the column that the cell is located in.

  - `sourceSheets.rows.cells.rowId` (number)
    The ID of the row the cell is located in.

  - `sourceSheets.rows.cells.columnType` (string)
    Only returned if the include query string parameter contains columnType.

  - `sourceSheets.rows.cells.conditionalFormat` (string)
    The format descriptor describing this cell's conditional format. Only returned if the include query string parameter contains format and this cell has a conditional format applied.

  - `sourceSheets.rows.cells.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `sourceSheets.rows.cells.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this cell has a non-default format applied.

  - `sourceSheets.rows.cells.formula` (string)
    The formula for a cell, if set, for instance =COUNTM([Assigned To]3). Note that calculation errors or problems with a formula do not cause the API call to return an error code. Instead, the response contains the same value as in the UI, such as cell.value = "#CIRCULAR REFERENCE".

  - `sourceSheets.rows.cells.hyperlink` (object)

  - `sourceSheets.rows.cells.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `sourceSheets.rows.cells.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `sourceSheets.rows.cells.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `sourceSheets.rows.cells.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `sourceSheets.rows.cells.image` (object)

  - `sourceSheets.rows.cells.image.altText` (string)
    Alternate text for the image.

  - `sourceSheets.rows.cells.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `sourceSheets.rows.cells.image.id` (string)
    Image ID.

  - `sourceSheets.rows.cells.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `sourceSheets.rows.cells.linkInFromCell` (object)

  - `sourceSheets.rows.cells.linkInFromCell.columnId` (number)
    Column ID of the linked cell.

  - `sourceSheets.rows.cells.linkInFromCell.rowId` (number)
    Row ID of the linked cell.

  - `sourceSheets.rows.cells.linkInFromCell.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `sourceSheets.rows.cells.linkInFromCell.sheetName` (string)
    Sheet name of the linked cell.

  - `sourceSheets.rows.cells.linkInFromCell.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `sourceSheets.rows.cells.linksOutToCells` (array)

  - `sourceSheets.rows.cells.linksOutToCells.columnId` (number)
    Column ID of the linked cell.

  - `sourceSheets.rows.cells.linksOutToCells.rowId` (number)
    Row ID of the linked cell.

  - `sourceSheets.rows.cells.linksOutToCells.sheetId` (number)
    Sheet ID of the sheet that the linked cell belongs to.

  - `sourceSheets.rows.cells.linksOutToCells.sheetName` (string)
    Sheet name of the linked cell.

  - `sourceSheets.rows.cells.linksOutToCells.status` (string)
    * BLOCKED One of several other values indicating unusual error conditions.
* BROKEN The row or sheet linked to was deleted.
* CIRCULAR One of several other values indicating unusual error conditions.
* DISABLED One of several other values indicating unusual error conditions.
* INACCESSIBLE The sheet linked to cannot be viewed by this user.
* INVALID One of several other values indicating unusual error conditions.
* NOT_SHARED One of several other values indicating unusual error conditions.
* OK The link is in a good state.
    Enum: "BLOCKED", "BROKEN", "CIRCULAR", "DISABLED", "INACCESSIBLE", "INVALID", "NOT_SHARED", "OK"

  - `sourceSheets.rows.cells.objectValue` (any)

  - `sourceSheets.rows.cells.overrideValidation` (boolean)
    (Admin only) Indicates whether the cell value can contain a value outside of the validation limits (value = true). When using this parameter, you must also set strict to false to bypass value type checking. This property is honored for POST or PUT actions that update rows.

  - `sourceSheets.rows.cells.strict` (boolean)
    Set to false to enable lenient parsing. Defaults to true. You can specify this attribute in a request, but it is never present in a response.

  - `sourceSheets.rows.cells.value` (any)
    A string, number, or a Boolean value -- depending on the cell type and the data in the cell. Cell values larger than 4000 characters are silently truncated. An empty cell returns no value.

  - `sourceSheets.rows.columns` (array)
    Columns of row. Only returned if the include query string parameter contains columns.

  - `sourceSheets.rows.conditionalFormat` (string)
    Describes this row's conditional format. Only returned if the include query string parameter contains format and this row has a conditional format applied.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `sourceSheets.rows.createdAt` (any)

  - `sourceSheets.rows.createdBy` (object)
    User object containing name and email of the creator of this row.

  - `sourceSheets.rows.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.discussions` (array)
    Discussions on the row. Only returned if the include query string parameter contains discussions.

  - `sourceSheets.rows.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `sourceSheets.rows.discussions.id` (number)
    Discussion ID.

  - `sourceSheets.rows.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `sourceSheets.rows.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `sourceSheets.rows.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `sourceSheets.rows.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.rows.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.rows.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.rows.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.rows.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.rows.discussions.comments.attachments.createdAt` (any)

  - `sourceSheets.rows.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.rows.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.discussions.comments.attachments.name` (string)
    Attachment name.

  - `sourceSheets.rows.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.rows.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.rows.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.rows.discussions.comments.createdAt` (any)

  - `sourceSheets.rows.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `sourceSheets.rows.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `sourceSheets.rows.discussions.comments.id` (number)
    Comment ID.

  - `sourceSheets.rows.discussions.comments.modifiedAt` (any)

  - `sourceSheets.rows.discussions.comments.text` (string)
    Comment body.

  - `sourceSheets.rows.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `sourceSheets.rows.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `sourceSheets.rows.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.rows.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.rows.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.rows.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.rows.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.rows.discussions.commentAttachments.createdAt` (any)

  - `sourceSheets.rows.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.rows.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.discussions.commentAttachments.name` (string)
    Attachment name.

  - `sourceSheets.rows.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.rows.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.rows.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.rows.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `sourceSheets.rows.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `sourceSheets.rows.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.discussions.lastCommentedAt` (any)

  - `sourceSheets.rows.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `sourceSheets.rows.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `sourceSheets.rows.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `sourceSheets.rows.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `sourceSheets.rows.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `sourceSheets.rows.proof` (object)
    Object containing zero or more media items, including images, videos, and documents, for review, editing, or approval.

  - `sourceSheets.rows.proof.id` (number)
    Proof ID of the proof version.

  - `sourceSheets.rows.proof.originalId` (number)
    Proof ID of the original proof version.

  - `sourceSheets.rows.proof.name` (string)
    Proof name. This is the same as primary column value. If the primary column value is empty, name is empty.

  - `sourceSheets.rows.proof.type` (string)
    File type for the proof version.
    Enum: "DOCUMENT", "IMAGE", "MIXED", "NONE", "VIDEO"

  - `sourceSheets.rows.proof.documentType` (string)
    If type=DOCUMENT, then this indicates the type of file, such as PDF.

  - `sourceSheets.rows.proof.proofRequestUrl` (string)
    URL to review a proofing request.

  - `sourceSheets.rows.proof.version` (number)
    The version number of the proof.

  - `sourceSheets.rows.proof.lastUpdatedAt` (any)

  - `sourceSheets.rows.proof.lastUpdatedBy` (object)
    User object containing name and email of the user who last updated the proof.

  - `sourceSheets.rows.proof.lastUpdatedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.lastUpdatedBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.isCompleted` (boolean)
    Indicates whether the proof is completed.

  - `sourceSheets.rows.proof.attachments` (array)
    Array of Attachment objects. Only returned if the include query string parameter contains attachments.

  - `sourceSheets.rows.proof.attachments.id` (number)
    Attachment ID.

  - `sourceSheets.rows.proof.attachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.rows.proof.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.rows.proof.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.rows.proof.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.rows.proof.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.rows.proof.attachments.createdAt` (any)

  - `sourceSheets.rows.proof.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.rows.proof.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.attachments.name` (string)
    Attachment name.

  - `sourceSheets.rows.proof.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.rows.proof.attachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.rows.proof.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.rows.proof.discussions` (array)
    Array of Discussion objects. Only returned if the include query string parameter contains discussions.

  - `sourceSheets.rows.proof.discussions.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `sourceSheets.rows.proof.discussions.id` (number)
    Discussion ID.

  - `sourceSheets.rows.proof.discussions.comments` (array)
    Array of comments in discussion. Only returned if the include query string parameter contains comments.

  - `sourceSheets.rows.proof.discussions.comments.attachments` (array)
    Array of attachments on comments.

  - `sourceSheets.rows.proof.discussions.comments.attachments.id` (number)
    Attachment ID.

  - `sourceSheets.rows.proof.discussions.comments.attachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.rows.proof.discussions.comments.attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.rows.proof.discussions.comments.attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.rows.proof.discussions.comments.attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.rows.proof.discussions.comments.attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.rows.proof.discussions.comments.attachments.createdAt` (any)

  - `sourceSheets.rows.proof.discussions.comments.attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.rows.proof.discussions.comments.attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.discussions.comments.attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.discussions.comments.attachments.name` (string)
    Attachment name.

  - `sourceSheets.rows.proof.discussions.comments.attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.rows.proof.discussions.comments.attachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.rows.proof.discussions.comments.attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.rows.proof.discussions.comments.createdAt` (any)

  - `sourceSheets.rows.proof.discussions.comments.createdBy` (object)
    User object containing name and email of the creator of this comment.

  - `sourceSheets.rows.proof.discussions.comments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.discussions.comments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.discussions.comments.discussionId` (number)
    Discussion ID of discussion that contains comment.

  - `sourceSheets.rows.proof.discussions.comments.id` (number)
    Comment ID.

  - `sourceSheets.rows.proof.discussions.comments.modifiedAt` (any)

  - `sourceSheets.rows.proof.discussions.comments.text` (string)
    Comment body.

  - `sourceSheets.rows.proof.discussions.commentAttachments` (array)
    Array of attachments on discussion comments. Only returned if the include query string parameter contains attachments.

  - `sourceSheets.rows.proof.discussions.commentAttachments.id` (number)
    Attachment ID.

  - `sourceSheets.rows.proof.discussions.commentAttachments.parentId` (number)
    The ID of the parent.

  - `sourceSheets.rows.proof.discussions.commentAttachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `sourceSheets.rows.proof.discussions.commentAttachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `sourceSheets.rows.proof.discussions.commentAttachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `sourceSheets.rows.proof.discussions.commentAttachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `sourceSheets.rows.proof.discussions.commentAttachments.createdAt` (any)

  - `sourceSheets.rows.proof.discussions.commentAttachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `sourceSheets.rows.proof.discussions.commentAttachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.discussions.commentAttachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.discussions.commentAttachments.name` (string)
    Attachment name.

  - `sourceSheets.rows.proof.discussions.commentAttachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `sourceSheets.rows.proof.discussions.commentAttachments.url` (string)
    Attachment temporary URL (files only).

  - `sourceSheets.rows.proof.discussions.commentAttachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `sourceSheets.rows.proof.discussions.commentCount` (number)
    Number of comments in the discussion.

  - `sourceSheets.rows.proof.discussions.createdBy` (object)
    User object containing name and email of the user who created the discussion.

  - `sourceSheets.rows.proof.discussions.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.discussions.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.discussions.lastCommentedAt` (any)

  - `sourceSheets.rows.proof.discussions.lastCommentedUser` (object)
    User object containing name and email of the user who last commented on the discussion.

  - `sourceSheets.rows.proof.discussions.lastCommentedUser.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.proof.discussions.lastCommentedUser.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.proof.discussions.parentId` (number)
    The ID of the associated row or sheet.

  - `sourceSheets.rows.proof.discussions.parentType` (string)
    Type of parent object.
    Enum: "ROW", "SHEET"

  - `sourceSheets.rows.proof.discussions.readOnly` (boolean)
    Indicates whether the user can modify the discussion.

  - `sourceSheets.rows.proof.discussions.title` (string)
    Title automatically created by duplicating the first 100 characters of top-level comment.

  - `sourceSheets.rows.expanded` (boolean)
    Indicates whether the row is expanded or collapsed.

  - `sourceSheets.rows.filteredOut` (boolean)
    Indicates if the row is filtered out by a column filter. Only returned if the include query string parameter contains filters.

  - `sourceSheets.rows.format` (string)
    Format descriptor. Only returned if the include query string parameter contains format and this row has a non-default format applied.
    Example: ",,1,1,,,,,,,,,,,,,"

  - `sourceSheets.rows.inCriticalPath` (boolean)
    Only returned, with a value of true, if the sheet is a project sheet with dependencies enabled and this row is in the critical path.

  - `sourceSheets.rows.locked` (boolean)
    Indicates whether the row is locked.

  - `sourceSheets.rows.lockedForUser` (boolean)
    Indicates whether the row is locked for the requesting user.

  - `sourceSheets.rows.modifiedAt` (any)

  - `sourceSheets.rows.modifiedBy` (object)
    User object containing name and email of the last person to modify this row.

  - `sourceSheets.rows.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.rows.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.rows.permaLink` (string)
    URL that represents a direct link to the row in Smartsheet. Only returned if the include query string parameter contains rowPermalink.

  - `sourceSheets.rows.rowNumber` (number)
    Row number within the sheet.

  - `sourceSheets.rows.version` (number)
    Sheet version number that is incremented every time a sheet is modified.

  - `sourceSheets.showParentRowsForFilters` (boolean)
    Returned only if there are column filters on the sheet. Value = true if "show parent rows" is enabled for the filters.

  - `sourceSheets.source` (object)

  - `sourceSheets.source.id` (number)
    The ID of the dashboard, report, sheet, or template from which the enclosing dashboard, report, sheet, or template was created.

  - `sourceSheets.source.type` (string)
    report, sheet, sight (aka dashboard), or template.

  - `sourceSheets.summary` (object)
    Represents the entire summary, or a list of defined fields and values, for a specific sheet.

  - `sourceSheets.summary.fields` (array)
    Array of summary (or metadata) fields defined on the sheet.

  - `sourceSheets.summary.fields.id` (number)
    SummaryField ID.

  - `sourceSheets.summary.fields.contactOptions` (array)
    Array of ContactOption objects to specify a pre-defined list of values for the column. Column type must be CONTACT_LIST.

  - `sourceSheets.summary.fields.contactOptions.email` (string)
    A parsable email address.

  - `sourceSheets.summary.fields.contactOptions.name` (string)
    Can be a user's name, display name, or free text.

  - `sourceSheets.summary.fields.createdAt` (any)

  - `sourceSheets.summary.fields.createdBy` (object)
    User object containing name and email of the creator of this summary field.

  - `sourceSheets.summary.fields.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.summary.fields.createdBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.summary.fields.displayValue` (string)
    Visual representation of cell contents, as presented to the user in the UI.

  - `sourceSheets.summary.fields.format` (string)
    The format descriptor. Only returned if the include query string parameter contains format and this column has a non-default format applied to it.

  - `sourceSheets.summary.fields.formula` (string)
    The formula for a cell, if set.

  - `sourceSheets.summary.fields.hyperlink` (object)

  - `sourceSheets.summary.fields.hyperlink.reportId` (number)
    If non-null, this hyperlink is a link to the report with this ID.

  - `sourceSheets.summary.fields.hyperlink.sheetId` (number)
    If non-null, this hyperlink is a link to the sheet with this ID.

  - `sourceSheets.summary.fields.hyperlink.sightId` (number)
    If non-null, this hyperlink is a link to the dashboard with this ID.

  - `sourceSheets.summary.fields.hyperlink.url` (string)
    When the hyperlink is a URL link, this property contains the URL value. When the hyperlink is a dashboard/report/sheet link (that is, dashboardId, reportId, or sheetId is non-null), this property contains the permalink to the dashboard, report, or sheet.

  - `sourceSheets.summary.fields.image` (object)

  - `sourceSheets.summary.fields.image.altText` (string)
    Alternate text for the image.

  - `sourceSheets.summary.fields.image.height` (number)
    Original height (in pixels) of the uploaded image.

  - `sourceSheets.summary.fields.image.id` (string)
    Image ID.

  - `sourceSheets.summary.fields.image.width` (number)
    Original width (in pixels) of the uploaded image.

  - `sourceSheets.summary.fields.index` (number)
    Field index or position. This number is zero-based.

  - `sourceSheets.summary.fields.locked` (boolean)
    Indicates whether the field is locked.

  - `sourceSheets.summary.fields.lockedForUser` (boolean)
    Indicates whether the field is locked for the requesting user.

  - `sourceSheets.summary.fields.modifiedAt` (any)

  - `sourceSheets.summary.fields.modifiedBy` (object)
    User object containing name and email of the user who most recently modified this summary field.

  - `sourceSheets.summary.fields.modifiedBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `sourceSheets.summary.fields.modifiedBy.name` (string)
    Example: "Jane Doe"

  - `sourceSheets.summary.fields.objectValue` (any)

  - `sourceSheets.summary.fields.options` (array)
    When applicable for PICKLIST column type. Array of the options available for the field.

  - `sourceSheets.summary.fields.symbol` (string)
    When applicable for PICKLIST column type.

  - `sourceSheets.summary.fields.title` (string)
    Arbitrary name, must be unique within summary.

  - `sourceSheets.summary.fields.type` (string)
    Enum: "ABSTRACT_DATETIME", "CHECKBOX", "CONTACT_LIST", "DATE", "DATETIME", "DURATION", "MULTI_CONTACT_LIST", "MULTI_PICKLIST", "PICKLIST", "PREDECESSOR", "TEXT_NUMBER"

  - `sourceSheets.summary.fields.validation` (boolean)
    Indicates whether summary field values are restricted to the type.

  - `sourceSheets.totalRowCount` (number)
    The total number of rows in the sheet.

  - `sourceSheets.userPermissions` (object)
    Describes the current user's editing permissions for a specific sheet.

  - `sourceSheets.userPermissions.summaryPermissions` (string)
    One of:
  * ADMIN: full control over fields.
  * READ_DELETE: sheet is owned by an individual account that doesn't have summary capabilities. If a summary exists, the only possible operations are GET and DELETE fields.
  * READ_ONLY.
  * READ_WRITE: can edit values of existing fields, but not create or delete fields, nor modify field type.
    Enum: "ADMIN", "READ_DELETE", "READ_ONLY", "READ_WRITE"

  - `sourceSheets.userSettings` (object)
    Represents individual user settings for a specific sheet. User settings may be updated even on sheets where the current user only has read access (for example, viewer permissions or a read-only sheet).

  - `sourceSheets.userSettings.criticalPathEnabled` (boolean)
    Does this user have "Show Critical Path" turned on for this sheet? NOTE: This setting only has an effect on project sheets with dependencies enabled.

  - `sourceSheets.userSettings.displaySummaryTasks` (boolean)
    Does this user have "Display Summary Tasks" turned on for this sheet? Applies only to sheets where "Calendar View" has been configured.

  - `sourceSheets.version` (number)
    A number that is incremented every time a sheet is modified.

  - `sourceSheets.workspace` (object)

  - `sourceSheets.workspace.id` (number)
    Workspace ID.

  - `sourceSheets.workspace.name` (string)
    Workspace name.

  - `sourceSheets.workspace.accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `sourceSheets.workspace.permalink` (string)
    URL that represents a direct link to the workspace in Smartsheet.

  - `sourceSheets.favorite` (boolean)
    Deprecated Returned only if the user has marked this sheet as a favorite in their Home tab (value = true).

  - `isSummaryReport` (boolean)
    A boolean to represent whether the report is a sheet summary report or not. If this property is false, it is a row report.

  - `id` (number)
    Sheet ID.

  - `fromId` (number)
    The ID of the template from which to create the sheet. This attribute can be specified in a request, but is never present in a response.

  - `ownerId` (number)
    User ID of the sheet owner.

  - `accessLevel` (string)
    Enum: "ADMIN", "COMMENTER", "EDITOR", "EDITOR_SHARE", "OWNER", "VIEWER"

  - `attachments` (array)
    Array of Attachment objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains attachments.

  - `attachments.id` (number)
    Attachment ID.

  - `attachments.parentId` (number)
    The ID of the parent.

  - `attachments.attachmentType` (string)
    Attachment type. Note--Dropbox, Egnyte, and Evernote are not supported for Smartsheet.gov accounts.
    Enum: "BOX_COM", "DROPBOX", "EGNYTE", "EVERNOTE", "FILE", "GOOGLE_DRIVE", "LINK", "ONEDRIVE", "TRELLO"

  - `attachments.attachmentSubType` (string)
    Attachment sub type. Note--Folder type is for EGNYTE values and the rest are GOOGLE_DRIVE values.
    Enum: "DOCUMENT", "DRAWING", "FOLDER", "PDF", "PRESENTATION", "SPREADSHEET"

  - `attachments.mimeType` (string)
    Attachment MIME type.
    Example: "PNG"

  - `attachments.parentType` (string)
    The type of object the attachment belongs to.
    Enum: "COMMENT", "PROOF", "ROW", "SHEET"

  - `attachments.createdAt` (any)

  - `attachments.createdBy` (object)
    User object containing name and email of the user who created this attachment.

  - `attachments.createdBy.email` (string)
    Example: "jane.doe@smartsheet.com"

  - `attachments.createdBy.name` (string)
    Example: "Jane Doe"

  - `attachments.name` (string)
    Attachment name.

  - `attachments.sizeInKb` (number)
    The size of the file, if the attachmentType is FILE.

  - `attachments.url` (string)
    Attachment temporary URL (files only).

  - `attachments.urlExpiresInMillis` (number)
    Attachment temporary URL time to live (files only).

  - `cellImageUploadEnabled` (boolean)
    The sheet is enabled for cell images to be uploaded.

  - `columns` (array)

  - `createdAt` (any)

  - `crossSheetReferences` (array)
    Array of CrossSheetReference objects.
Only returned if the [include](/api/smartsheet/openapi/sheets/getsheet) query string parameter contains crossSheetReferences.

  - `crossSheetReferences.endColumnId` (number)
[...]
